## gimpmenu

gimpmenu — Menus for selecting images, layers, channels and drawables

## Synopsis

    gboolean    (*GimpConstraintFunc)           (gint32 image_id,
                                                 gint32 drawable_id,
                                                 gpointer data);
    void        (*GimpMenuCallback)             (gint32 any_id,
                                                 gpointer data);
    GtkWidget*  gimp_image_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_image);
    GtkWidget*  gimp_layer_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_layer);
    GtkWidget*  gimp_channel_menu_new           (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_channel);
    GtkWidget*  gimp_drawable_menu_new          (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_drawable);

## Description

## Details

### GimpConstraintFunc ()

    gboolean    (*GimpConstraintFunc)           (gint32 image_id,
                                                 gint32 drawable_id,
                                                 gpointer data);

### Warning

`GimpConstraintFunc` is deprecated and should not be used in newly-written code.

`image_id` : |
`drawable_id` : |
`data` : |
Returns : |

### GimpMenuCallback ()

    void        (*GimpMenuCallback)             (gint32 any_id,
                                                 gpointer data);

### Warning

`GimpMenuCallback` is deprecated and should not be used in newly-written code.

`any_id` : |
`data` : |

### gimp_image_menu_new ()

    GtkWidget*  gimp_image_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_image);

### Warning

`gimp_image_menu_new` is deprecated and should not be used in newly-written code.

`constraint` : |
`callback` : |
`data` : |
`active_image` : |
Returns : |

### gimp_layer_menu_new ()

    GtkWidget*  gimp_layer_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_layer);

### Warning

`gimp_layer_menu_new` is deprecated and should not be used in newly-written code.

`constraint` : |
`callback` : |
`data` : |
`active_layer` : |
Returns : |

### gimp_channel_menu_new ()

    GtkWidget*  gimp_channel_menu_new           (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_channel);

### Warning

`gimp_channel_menu_new` is deprecated and should not be used in newly-written code.

`constraint` : |
`callback` : |
`data` : |
`active_channel` : |
Returns : |

### gimp_drawable_menu_new ()

    GtkWidget*  gimp_drawable_menu_new          (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_drawable);

### Warning

`gimp_drawable_menu_new` is deprecated and should not be used in newly-written code.

`constraint` : |
`callback` : |
`data` : |
`active_drawable` : |
Returns : |